// priority: 0

console.info('Hello, World! (You will see this line every time server resources reload)')

ServerEvents.recipes(event => {
    
    event.remove({output: 'create:andesite_casing'})
    event.remove({output: 'create:empty_blaze_burner'})
    event.remove({output: 'create:water_wheel'})
    event.remove({output: 'create:large_water_wheel'})
    event.remove({output: 'create:hand_crank'})
    event.remove({output: 'create:windmill_bearing'})
    event.remove({output: 'create:sail_frame'})
    event.remove({output: 'create:white_sail'})
    event.remove({output: 'create:steam_engine'})
    

event.recipes.create.item_application('create:andesite_casing', ['kubejs:processed_wood', 'create:andesite_alloy'])
      
event.recipes.createSequencedAssembly([
        Item.of('5x create:andesite_casing')
        ], 'kubejs:processed_wood', [
    event.recipes.createDeploying('kubejs:processed_wooda', ['kubejs:processed_wooda', 'create:andesite_alloy']),
    event.recipes.createPressing('kubejs:processed_wooda', 'kubejs:processed_wooda'),
    event.recipes.createCutting('kubejs:processed_wooda', 'kubejs:processed_wooda').processingTime(300)
  ]).transitionalItem("kubejs:processed_wooda").loops(1)


event.shaped('create:empty_blaze_burner', [
    'B B', 
    'BCB', 
    'AAA'  
  ], {
    A: 'kubejs:processed_wood', 
    B: 'create:iron_sheet', 
    C: 'minecraft:netherrack'   
  }
)

event.shaped('2x create:water_wheel', [
    ' A ', 
    'ABA', 
    ' A '  
  ], {
    A: 'kubejs:processed_wood', 
    B: 'create:shaft'  
  }
)

event.shaped('create:large_water_wheel', [
    ' A ', 
    'ABA', 
    ' A '  
  ], {
    A: 'kubejs:processed_wood', 
    B: 'create:water_wheel'  
  }
)

event.shaped('create:hand_crank', [
    '   ', 
    'AAA', 
    '  B'  
  ], {
    A: 'kubejs:processed_wood', 
    B: 'create:andesite_alloy'  
  }
)

event.shaped('create:windmill_bearing', [
    ' C ', 
    ' A ', 
    ' B '  
  ], {
    A: 'kubejs:processed_wood', 
    B: 'create:shaft',
    C: '#minecraft:wooden_slabs'  
  }
)

event.shaped('2x create:sail_frame', [
    'AB ', 
    'BC ', 
    '   '  
  ], {
    A: 'kubejs:processed_wood', 
    B: '#balm:wooden_rods',
    C: 'create:andesite_alloy'  
  }
)

event.recipes.createSequencedAssembly([
        Item.of('5x create:sail_frame')
        ], 'kubejs:processed_wood', [
    event.recipes.createCutting('kubejs:processed_woodb', 'kubejs:processed_woodb').processingTime(250),    
    event.recipes.createDeploying('kubejs:processed_woodb', ['kubejs:processed_woodb', 'create:andesite_casing']),
    event.recipes.createCutting('kubejs:processed_woodb', 'kubejs:processed_woodb').processingTime(120)
  ]).transitionalItem("kubejs:processed_woodb").loops(1)

    event.shapeless(
        Item.of('create:white_sail', 1),
        [
            'create:sail_frame',
            '#minecraft:wool'
            ])

event.shaped('create:steam_engine', [
    ' AD', 
    ' C ', 
    ' B '  
  ], {
    A: 'kubejs:processed_wood', 
    B: 'minecraft:copper_block',
    C: 'create:andesite_alloy',
    D: 'create:golden_sheet'
  }
)


      event.recipes.createSequencedAssembly([
        Item.of('4x kubejs:processed_wood')
        ], '#forge:stripped_logs', [
    event.recipes.createDeploying('kubejs:processed_woodc', ['kubejs:processed_woodc', '#minecraft:coals']),
    event.recipes.createCutting('kubejs:processed_wood', 'kubejs:processed_woodc').processingTime(250),
    event.recipes.createCutting('kubejs:processed_woodc', 'kubejs:processed_woodc').processingTime(175)
  ]).transitionalItem("kubejs:processed_woodc").loops(1)

})